AutoCAD Architecture Customization

AutoCAD Architecture Customization

Reply
Valued Mentor
mdhutchinson
Posts: 2,293
Registered: ‎11-18-2003
Message 1 of 3 (398 Views)
Accepted Solution

Acces Property Data this works but...

398 Views, 2 Replies
02-05-2013 02:50 PM

This code works... so long as the PropertySet is not style based.

Is there a way around this?

 

(setq vlaObj (vlax-ename->vla-object (car (entsel "Select a Object ")))
 acadObj    (vlax-get-acad-object)
 schedApp   (vla-getInterfaceObject
                acadObj
                "AecX.AecScheduleApplication.7.0"   ; for AutoCAD MEP 2013
             )
 propSets (vlax-invoke-method schedApp 'PropertySets vlaObj)
 psdName "MvPartCustom_TypeStyles"
 propSet (vlax-invoke-method propSets 'Item psdName)
 properties (vlax-get-property propSet 'Properties)
propNameValList (reverse
(vlax-for prop properties
  (setq propNameValList
    (cons
      (cons
        (vlax-get-property prop 'Name)
        (vlax-variant-value
          (vlax-get-property prop 'Value)
        )
      )
      propNameValList
    )
  )
)
)
)

What if you get the Style Object (StyleObj) and look for propsets on that instead of the selected object?

I tried on my end and I was able to get the style based prop set list.

 

Chris

 

 

(setq vlaObj (vlax-ename->vla-object (car (entsel "Select a Object ")))

StyleObj (vlax-get vlaObj 'Style);<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<Modified
acadObj    (vlax-get-acad-object)
schedApp   (vla-getInterfaceObject
                acadObj
                "AecX.AecScheduleApplication.7.0"   ; for AutoCAD MEP 2013
             )
propSets (vlax-invoke-method schedApp 'PropertySets StyleObj);<<<<<<<<Modified
psdName "MvPartCustom_TypeStyles"
propSet (vlax-invoke-method propSets 'Item psdName)
properties (vlax-get-property propSet 'Properties)
propNameValList (reverse
(vlax-for prop properties
  (setq propNameValList
    (cons
      (cons
        (vlax-get-property prop 'Name)
        (vlax-variant-value
          (vlax-get-property prop 'Value)
        )
      )
      propNameValList
    )
  )
)
)
)

Valued Contributor
Chris.Picklesimer
Posts: 89
Registered: ‎04-07-2000
Message 2 of 3 (383 Views)

Re: Acces Property Data this works but...

02-06-2013 11:13 AM in reply to: mdhutchinson

What if you get the Style Object (StyleObj) and look for propsets on that instead of the selected object?

I tried on my end and I was able to get the style based prop set list.

 

Chris

 

 

(setq vlaObj (vlax-ename->vla-object (car (entsel "Select a Object ")))

StyleObj (vlax-get vlaObj 'Style);<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<Modified
acadObj    (vlax-get-acad-object)
schedApp   (vla-getInterfaceObject
                acadObj
                "AecX.AecScheduleApplication.7.0"   ; for AutoCAD MEP 2013
             )
propSets (vlax-invoke-method schedApp 'PropertySets StyleObj);<<<<<<<<Modified
psdName "MvPartCustom_TypeStyles"
propSet (vlax-invoke-method propSets 'Item psdName)
properties (vlax-get-property propSet 'Properties)
propNameValList (reverse
(vlax-for prop properties
  (setq propNameValList
    (cons
      (cons
        (vlax-get-property prop 'Name)
        (vlax-variant-value
          (vlax-get-property prop 'Value)
        )
      )
      propNameValList
    )
  )
)
)
)

Valued Mentor
mdhutchinson
Posts: 2,293
Registered: ‎11-18-2003
Message 3 of 3 (374 Views)

Re: Acces Property Data this works but...

02-07-2013 08:22 AM in reply to: Chris.Picklesimer

That works. Thanks!

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.
Need installation help?

Start with some of our most frequented solutions or visit the Installation and Licensing Forum to get help installing your software.